Package org.eclipse.cdt.core.templateengine.process

# Class ProcessFailureException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.cdt.core.templateengine.process.ProcessFailureException

All Implemented Interfaces:
  `Serializable`

public class ProcessFailureException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ProcessFailureException(String msg)`
Constructor based on the message.
`ProcessFailureException(String msg, Throwable cause)`
Constructor based on the message and cause.
`ProcessFailureException(String msg, Throwable cause, List<org.eclipse.core.runtime.IStatus> statuses)`
`ProcessFailureException(String msg, List<org.eclipse.core.runtime.IStatus> statuses)`
Constructor based on the message and causes.
`ProcessFailureException(Throwable cause)`
Constructor based on the message and cause.

## Method Summary

Modifier and Type
Method
Description
`List<org.eclipse.core.runtime.IStatus>`
`getStatuses()`
Returns the Statuses.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProcessFailureException

public ProcessFailureException(String msg)
Constructor based on the message.

Parameters:
  `msg` -

### ProcessFailureException

public ProcessFailureException(Throwable cause)
Constructor based on the message and cause.

Parameters:
  `cause` -

### ProcessFailureException

public ProcessFailureException(String msg, Throwable cause)
Constructor based on the message and cause.

Parameters:
  `msg` -
  `cause` -

### ProcessFailureException

public ProcessFailureException(String msg, List<org.eclipse.core.runtime.IStatus> statuses)
Constructor based on the message and causes.

Parameters:
  `msg` -
  `statuses` -

### ProcessFailureException

public ProcessFailureException(String msg, Throwable cause, List<org.eclipse.core.runtime.IStatus> statuses)

## Method Details

### getStatuses

public List<org.eclipse.core.runtime.IStatus> getStatuses()
Returns the Statuses.

Returns:
  List, contains the IStatus.